#!/bin/bash

source ./gs3-devel.sh

source cascade-make/lib/cascade-lib.bash

# Guaranteed that GSDLOS has now been set

if [ ! -e $GEXT_JENA_INSTALLED ] ; then
  echo "Creating $GEXT_JENA_INSTALLED"
  mkdir $GEXT_JENA_INSTALLED
fi


for d in packages ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done

if [ $makedist = "1"  ] ; then
  default_toplevel_make_dist $GSDLOS devel.bash
fi


if [ $install = "1" ] ; then
  cat NOTES.txt
fi
